using SqlSugar;
using System.ComponentModel;
using XF.Domain.Entities;

namespace Hotline.Planlibrary;

/// <summary>
/// 预案库关联类型
/// </summary>
[Description("预案库关联类型")]
public class PlanRelationType : ITable, IEntity
{
    /// <summary>
    /// 预案库ID
    /// </summary>
    [SugarColumn(IsPrimaryKey = true)]
    public string PlanId { get; set; }

    /// <summary>
    /// 预案库类型ID
    /// </summary>
    [SugarColumn(IsPrimaryKey = true)]
    public string PlanTypeId { get; set; }
}
